#517 opensips crashes on SSL connection

1.8.x
closed-fixed
core (110)
9
2015-01-31
2012-05-01
Anonymous
No

I'm experiencing random crashes with 1.8.0-beta-tls. I managed to recompile with debug support and the core backtrace is following:

Core was generated by `/usr/local/sbin/opensips'.
Program terminated with signal 11, Segmentation fault.
#0 0x00007f538ccd3bd5 in sk_pop_free () from /usr/lib/libcrypto.so.0.9.8
(gdb) bt
#0 0x00007f538ccd3bd5 in sk_pop_free () from /usr/lib/libcrypto.so.0.9.8
#1 0x00007f538ccdddbe in EVP_PKEY_free () from /usr/lib/libcrypto.so.0.9.8
#2 0x00007f538cd045e5 in X509_get_pubkey_parameters ()
from /usr/lib/libcrypto.so.0.9.8
#3 0x00007f538cd05443 in X509_verify_cert () from /usr/lib/libcrypto.so.0.9.8
#4 0x00007f538cfc3d47 in ssl3_output_cert_chain () from /usr/lib/libssl.so.0.9.8
#5 0x00007f538cfb6c15 in ssl3_send_server_certificate ()
from /usr/lib/libssl.so.0.9.8
#6 0x00007f538cfba5d8 in ssl3_accept () from /usr/lib/libssl.so.0.9.8
#7 0x000000000050a0d0 in tls_accept (c=0x7f53871eedc8, poll_events=0x0)
at tls/tls_server.c:235
#8 0x000000000050cc46 in tls_fix_read_conn (c=0x7f53871eedc8)
at tls/tls_server.c:888
#9 0x0000000000488883 in tcp_read_req (con=0x7f53871eedc8,
bytes_read=0x7fff2ff6f030) at tcp_read.c:452
#10 0x0000000000489ea0 in handle_io (fm=0x7f538c4bb510, idx=-1) at tcp_read.c:817
#11 0x0000000000486e95 in io_wait_loop_epoll (h=0x78ea80, t=2, repeat=0)
at io_wait.h:728
#12 0x000000000048a581 in tcp_receive_loop (unix_sock=29) at tcp_read.c:937
#13 0x0000000000484b2e in tcp_init_children (chd_rank=0x783aa8) at tcp_main.c:1819
#14 0x000000000042dd6a in main_loop () at main.c:941
#15 0x0000000000430395 in main (argc=1, argv=0x7fff2ff6f368) at main.c:1520

last relevant lines in sipis log (debug level 6) are:

May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: parsed uri:#01
2 type=1 user=<>(0)#012 passwd=<>(0)#012 host=<131.227.7.41>(12)#012 port=<33711>(5):
33711#012 params=<transport=TLS>(13)#012 headers=<>(0)
May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: uri params:#0
12 transport=<transport=TLS>, val=<TLS>, proto=3
May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: user-param=
<>, val=<>
May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: method=<>,
val=<>
May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: ttl=<>, val
=<>
May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: maddr=<>, v
al=<>
May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: lr=<>, val=
<>
May 1 20:38:22 eu /usr/local/sbin/opensips[25375]: DBG:core:parse_uri: r2=<>, val=
<>
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:probe_max_sock_buff: gets
ockopt: snd is initially 262142
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: INFO:core:probe_max_sock_buff: usi
ng snd buffer of 255 kb
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: INFO:core:init_sock_keepalive: --
TCP keepalive enabled on socket
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:print_ip: tcpconn_new: ne
w tcp connection to: 2.49.164.26
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:tcpconn_new: on port 4935
1, type 3
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:tls_tcpconn_init: entered
: Creating a whole new ssl connection
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:tls_tcpconn_init: looking
up socket based TLS server domain [85.17.87.148:7071]
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:tls_find_server_domain: v
irtual TLS server domain not found, Using default TLS server domain settings
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:tls_tcpconn_init: found s
ocket based TLS server domain [0.0.0.0:0]
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:tls_tcpconn_init: Setting
in ACCEPT mode (server)
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:tcpconn_add: hashes: 453,
272
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:handle_new_connect: new c
onnection: 0x7f53871eedc8 71 flags: 0002
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:send2child: to tcp child
0 0(25376), 0x7f53871eedc8
May 1 20:38:23 eu /usr/local/sbin/opensips[25376]: DBG:core:handle_io: received n=8 c
on=0x7f53871eedc8, fd=32
May 1 20:38:23 eu /usr/local/sbin/opensips[25376]: DBG:core:io_watch_add: io_watch_ad
d(0x78ea80, 32, 2, 0x7f53871eedc8), fd_no=1
May 1 20:38:23 eu /usr/local/sbin/opensips[25376]: DBG:core:tls_update_fd: New fd is
32
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:handle_tcp_child: dead tc
p child 0 (pid 25376, no 0) (shutting down?)
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:io_watch_del: io_watch_de
l (0x78e920, 28, -1, 0x0) fd_no=60 called
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: CRITICAL:core:receive_fd: EOF on 30
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:handle_ser_child: dead child 15, pid 25376 (shutting down?)
May 1 20:38:23 eu /usr/local/sbin/opensips[25361]: DBG:core:handle_sigs: status = 139
May 1 20:38:23 eu /usr/local/sbin/opensips[25415]: DBG:core:io_watch_del: io_watch_del (0x78e920, 30, -1, 0x0) fd_no=59 called
May 1 20:38:23 eu /usr/local/sbin/opensips[25361]: INFO:core:handle_sigs: child process 25376 exited by a signal 11
May 1 20:38:23 eu /usr/local/sbin/opensips[25361]: INFO:core:handle_sigs: core was generated
May 1 20:38:23 eu /usr/local/sbin/opensips[25361]: INFO:core:handle_sigs: terminating due to SIGCHLD
May 1 20:38:23 eu /usr/local/sbin/opensips[25380]: INFO:core:sig_usr: signal 15 received
May 1 20:38:23 eu /usr/local/sbin/opensips[25410]: INFO:core:sig_usr: signal 15 received
May 1 20:38:23 eu /usr/local/sbin/opensips[25401]: INFO:core:sig_usr: signal 15 received
May 1 20:38:23 eu /usr/local/sbin/opensips[25378]: INFO:core:sig_usr: signal 15 received
May 1 20:38:23 eu /usr/local/sbin/opensips[25371]: INFO:core:sig_usr: signal 15 received
May 1 20:38:23 eu /usr/local/sbin/opensips[25399]: INFO:core:sig_usr: signal 15 received

Discussion

  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-05-15

    another crash:

    #0 0x00007f675d2e3e69 in ASN1_STRING_free () from /usr/lib/libcrypto.so.0.9.8
    #1 0x00007f675d2da317 in ASN1_primitive_free ()
    from /usr/lib/libcrypto.so.0.9.8
    #2 0x00007f675d2da6ff in ASN1_template_free ()
    from /usr/lib/libcrypto.so.0.9.8
    #3 0x00007f675d2da5e6 in ?? () from /usr/lib/libcrypto.so.0.9.8
    #4 0x00007f675d2da735 in ASN1_item_free () from /usr/lib/libcrypto.so.0.9.8
    #5 0x00007f675d2d4e3f in ?? () from /usr/lib/libcrypto.so.0.9.8
    #6 0x00007f675d2da52a in ?? () from /usr/lib/libcrypto.so.0.9.8
    #7 0x00007f675d2da735 in ASN1_item_free () from /usr/lib/libcrypto.so.0.9.8
    #8 0x00007f675d2f13d1 in ?? () from /usr/lib/libcrypto.so.0.9.8
    #9 0x00007f675d2bcbf0 in sk_pop_free () from /usr/lib/libcrypto.so.0.9.8
    #10 0x00007f675d2f1584 in X509_STORE_free () from /usr/lib/libcrypto.so.0.9.8
    #11 0x00007f675d5bbcca in SSL_CTX_free () from /usr/lib/libssl.so.0.9.8
    #12 0x00000000005085e7 in destroy_tls () at tls/tls_init.c:675
    #13 0x000000000042b73a in cleanup (show_status=1) at main.c:353
    #14 0x000000000042c6f7 in handle_sigs () at main.c:549
    #15 0x000000000042e0e8 in main_loop () at main.c:987
    #16 0x0000000000430395 in main (argc=1, argv=0x7fff817b2eb8) at main.c:1520

     
  • Bogdan-Andrei Iancu

    Hi,

    It seems to be a memory issue, and as we force our own mem function (malloc + free) to ssl lib, a way to debug this is to enable memory debugging into opensips, so we could get more information on the fault (double free, mem overwritten, etc).
    Here are the instructions for how to enable the mem debugger : http://www.opensips.org/Resources/DocsTsMem
    In cfg set, memlog=6, memdump=1 (in this order).

    If you need help, let me know.

    Regards,
    Bogdan

     
  • Bogdan-Andrei Iancu

    • milestone: --> 1.8.x
    • assigned_to: nobody --> bogdan_iancu
     
  • Stan K.

    Stan K. - 2012-05-28

    I recompiled, changed the config and waiting for the cash again....

    FYI: I changed a code a bit - can it be the source of problems? I needed a way how to store a variable into SUBSCRIBE/NOTIFY dialog. How come only INVITE is considered a dialog anyway?

    Stan

    diff -crB opensips-1.7.1-tls//modules/dialog/dlg_handlers.c opensips-1.7.1-tls-patched//modules/dialog/dlg_handlers.c
    *** opensips-1.7.1-tls//modules/dialog/dlg_handlers.c Wed Nov 23 15:44:24 2011
    --- opensips-1.7.1-tls-patched//modules/dialog/dlg_handlers.c Wed Jan 25 14:05:37 2012
    ***************
    *** 837,843 ****
    str s;

    /* module is stricly designed for dialog calls */
    ! if (req->first_line.u.request.method_value!=METHOD_INVITE)
    return -1;

    if ( (!req->to && parse_headers(req, HDR_TO_F,0)<0) || !req->to ) {
    --- 837,843 ----
    str s;

    /* module is stricly designed for dialog calls */
    ! if (req->first_line.u.request.method_value!=METHOD_INVITE && req->first_line.u.request.method_value!=METHOD_SUBSCRIBE)
    return -1;

    if ( (!req->to && parse_headers(req, HDR_TO_F,0)<0) || !req->to ) {

     
  • Bogdan-Andrei Iancu

    Your change should not be related to the crash....when you get a new core file, please update.

    Thanks and regards,
    Bogdan

     
  • Nobody/Anonymous

    ok... I had another crash, but it seems the whole server went down now so it may point to hardware issue. The opensips log ends abruptly in the middle of the log message and is followed by by huge amount of binary zeros. I'll try to move the installation to another server and retry.

    Thanks
    Stan

     
  • Nobody/Anonymous

    ok... memtester confirmed the suspicion

    memtester version 4.1.3 (64-bit)
    Copyright (C) 2010 Charles Cazabon.
    Licensed under the GNU General Public License version 2 (only).

    pagesize is 4096
    pagesizemask is 0xfffffffffffff000
    want 1024MB (1073741824 bytes)
    got 1024MB (1073741824 bytes), trying mlock ...locked.
    Loop 1:
    Stuck Address : ok
    Random Value : ok
    Compare XOR : ok
    Compare SUB : ok
    Compare MUL : ok
    Compare DIV : ok
    Compare OR : ok
    Compare AND : ok
    Sequential Increment: ok
    Solid Bits : ok
    Block Sequential : testing 97FAILURE: 0x6161656161616161 != 0x6161616161616161 at offset 0x02074266.
    Checkerboard : ok

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-06-13

    We changed memory but the crash reappeared.. However I cannot upload the logfile here - it's 450K

    so here's the excerpt:

    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg: SIP Reply (status):
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg: version: <SIP/2.0>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg: status: <200>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg: reason: <OK>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: flags=2
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_via_param: found param type 232, <branch> = <z9hG4bK2f3a.0467a605.0>; state=6
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_via_param: found param type 236, <i> = <934>; state=16
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_via: end of header reached, state=5
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: via found, flags=2
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: this is the first via
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 1, name=<Via>, body=<SIP/2.0/UDP 85.17.87.148:7080;branch=z9hG4bK2f3a.0467a605.0;i=934>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg: first via: <SIP/2.0/UDP> <85.17.87.148:7080(7080)>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg: ;<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg:
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_msg: exiting
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:receive_msg: After parse_msg...
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: flags=ffffffffffffffff
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_via_param: found param type 234, <received> = <31.106.86.52>; state=6
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_via_param: found param type 232, <branch> = <z9hG4bKcu6qpaLgaOZFPyNs>; state=6
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_via_param: found param type 235, <rport> = <62918>; state=16
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_via: end of header reached, state=5
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: via found, flags=ffffffffffffffff
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: parse_headers: this is the second via
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 1, name=<Via>, body=<SIP/2.0/TLS 131.227.7.41:32628;received=31.106.86.52;branch=z9hG4bKcu6qpaLgaOZFPyNs;rport=62918>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 4, name=<From>, body=<<sip:1356545@sipgate.co.uk>;tag=31A3E2FC098E31467D5F96765A9C7E1B>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_to_param: tag=c3e497ecaece77a8e244e564b4212178.a265
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_to: end of header reached, state=29
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_to: display={}, ruri={sip:1356545@sipgate.co.uk}
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:get_hdr_field: <To> [71]; uri=[sip:1356545@sipgate.co.uk]
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:get_hdr_field: to body [<sip:1356545@sipgate.co.uk>]
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 3, name=<To>, body=<<sip:1356545@sipgate.co.uk>;tag=c3e497ecaece77a8e244e564b4212178.a265>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 6, name=<Call-ID>, body=<F685C7E3EEC5FA86FDC0E26D1EA0E08710165E61>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:get_hdr_field: cseq <CSeq>: <36069> <REGISTER>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 5, name=<CSeq>, body=<36069 REGISTER>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 7, name=<Contact>, body=<<sip:1356545@192.168.1.75:5060>;expires=124;received="sip:131.227.209.222:5060">
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:get_hdr_field: content_length=0
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: header field type 13, name=<Content-Length>, body=<0>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:get_hdr_field: found end of header
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:pv_printf: final buffer length 80
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: incoming reply 200 OK 36069 REGISTER from 217.10.79.23:5060 @ 85.17.87.148:7080
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: flags=ffffffffffffffff
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_to_param: tag=31A3E2FC098E31467D5F96765A9C7E1B
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_to: end of header reached, state=29
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_to: display={}, ruri={sip:1356545@sipgate.co.uk}
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: parsed uri:#012 type=1 user=<1356545>(7)#012 passwd=<>(0)#012 host=<sipgate.co.uk>(13)#012 port=<>(0): 0#012 params=<>(0)#012 headers=<>(0)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: uri params:#012 transport=<>, val=<>, proto=0
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: user-param=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: method=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: ttl=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: maddr=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: lr=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: r2=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: parsed uri:#012 type=1 user=<1356545>(7)#012 passwd=<>(0)#012 host=<sipgate.co.uk>(13)#012 port=<>(0): 0#012 params=<>(0)#012 headers=<>(0)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: uri params:#012 transport=<>, val=<>, proto=0
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: user-param=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: method=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: ttl=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: maddr=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: lr=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_uri: r2=<>, val=<>
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:pv_printf: final buffer length 26
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: To: 1356545@sipgate.co.uk
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:pv_printf: final buffer length 33
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:pv_printf: final buffer length 13
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:cachedb_store: from script [local] - no grp
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:forward_reply: found module nathelper, passing reply to it
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: flags=4
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:forward_reply: found module nat_traversal, passing reply to it
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: flags=4
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:forward_reply: found module tm, passing reply to it
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:t_check: start=0xffffffffffffffff
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: flags=22
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:t_reply_matching: hash 41970 label 1349154368 branch 0
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:t_reply_matching: REF_UNSAFE:[0x7f16495d1d78] after is 1
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:t_reply_matching: reply matched (T=0x7f16495d1d78)!
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:t_check: end=0x7f16495d1d78
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:reply_received: org. status uas=0, uac[0]=0 local=0 is_invite=0)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:reset_timer: (group 3, tl=0x7f16495d1f98)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:reset_timer: (group 0, tl=0x7f16495d1fc8)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:t_should_relay_response: T_code=0, new_code=200
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:relay_reply: branch=0, save=0, relay=0
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:parse_headers: flags=2000
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:build_res_buf_from_sip_res: old size: 521, new size: 449
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:build_res_buf_from_sip_res: copied size: orig:88, new: 16, rest: 433 msg=#012SIP/2.0 200 OK#015#012Via: SIP/2.0/TLS 131.227.7.41:32628;received=31.106.86.52;branch=z9hG4bKcu6qpaLgaOZFPyNs;rport=62918#015#012From: <sip:1356545@sipgate.co.uk>;tag=31A3E2FC098E31467D5F96765A9C7E1B#015#012To: <sip:1356545@sipgate.co.uk>;tag=c3e497ecaece77a8e244e564b4212178.a265#015#012Call-ID: F685C7E3EEC5FA86FDC0E26D1EA0E08710165E61#015#012CSeq: 36069 REGISTER#015#012Contact: <sip:1356545@192.168.1.75:5060>;expires=124;received="sip:131.227.209.222:5060"#015#012Content-Length: 0#015#012#015#012
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:_shm_resize: resize(0) called
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:put_on_wait: put on WAIT
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:insert_timer_unsafe: [2]: 0x7f16495d1df8 (660408)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:_tcpconn_find: 1081 port 62918
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:print_ip: tcpconn_find: ip 31.106.86.52
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:_tcpconn_find: c=0x7f16498c8a48, c->id=1081, port=62918
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:print_ip: ip=31.106.86.52
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tcp_send: tcp connection found (0x7f16498c8a48), acquiring fd
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tcp_send: c= 0x7f16498c8a48, n=16
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2985]: DBG:core:handle_ser_child: read response= 7f16498c8a48, 1, fd -1 from 9 (2930)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tcp_send: after receive_fd: c= 0x7f16498c8a48 n=8 fd=6
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tcp_send: sending...
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tls_update_fd: New fd is 6
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tls_write: write was successful (449 bytes)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tcp_send: after write: c= 0x7f16498c8a48 n=449 fd=6
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:tcp_send: buf=#012SIP/2.0 200 OK#015#012Via: SIP/2.0/TLS 131.227.7.41:32628;received=31.106.86.52;branch=z9hG4bKcu6qpaLgaOZFPyNs;rport=62918#015#012From: <sip:1356545@sipgate.co.uk>;tag=31A3E2FC098E31467D5F96765A9C7E1B#015#012To: <sip:1356545@sipgate.co.uk>;tag=c3e497ecaece77a8e244e564b4212178.a265#015#012Call-ID: F685C7E3EEC5FA86FDC0E26D1EA0E08710165E61#015#012CSeq: 36069 REGISTER#015#012Contact: <sip:1356545@192.168.1.75:5060>;expires=124;received="sip:131.227.209.222:5060"#015#012Content-Length: 0#015#012#015#012
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:relay_reply: sent buf=0x7f164e893048: SIP/2.0 2..., shmem=0x7f16494ca368: SIP/2.0 2
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:reset_timer: (group 3, tl=0x7f16495d1f98)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:reset_timer: (group 0, tl=0x7f16495d1fc8)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:cleanup_uac_timers: RETR/FR timers reset
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:tm:t_unref: UNREF_UNSAFE: [0x7f16495d1d78] after is 0
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:destroy_avp_list: destroying list (nil)
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2930]: DBG:core:receive_msg: cleaning up
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]: DBG:core:tls_update_fd: New fd is 40
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]: CRITICAL:core:qm_debug_frag: qm_*: fragm. 0x7f164979bd2f (address 0x7f164979bd5f) beginning overwritten(f0f0f0f000)!
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]: qm_status (0x7f1649119000):
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]: heap size= 33554432
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]: used= 5147816, used+overhead=5960784, free=27593648
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]: max used (+overhead)= 7310776
    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]: dumping all alloc'ed. fragments:
    ......
    ....
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2940]: hash= 671. fragments no.: 1, unused: 0#012#011#011 bucket size: 5368 - 5368 (first 5368)
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2940]: hash= 2055. fragments no.: 1, unused: 0#012#011#011 bucket size: 1048576 - 2097152 (first 1426208)
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2940]: -----------------------------
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: INFO:core:cleanup: cleanup
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:pool_remove: connection still kept in the pool
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:usrloc:wb_timer: Binding '1356545@sipgate.co.uk','sip:1356545@131.227.7.41:32628;rinstance=FF3D04C6;transport=tls' has expired
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: conn=0x7f164e88b9c0 (tail=139733783592168) MC=0x7f164e88bd90
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: new query=|delete from location where username=? AND contact=? AND callid=? AND domain=?|
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:re_init_statement: query is <delete from location where username=? AND contact=? AND callid=? AND domain=?>, ptr=(nil)
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: INFO:db_mysql:switch_state_to_disconnected: disconnect event for 0x7f164e88bce8
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: INFO:db_mysql:reset_all_statements: reseting all statements on connection: (0x7f164e88b9c0) 0x7f164e88bce8
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_connect: opening connection: mysql://xxxx:xxxx@localhost/opensips_1_8
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_connect: connection type is Localhost via UNIX socket
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_connect: protocol version is 10
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_connect: server version is 5.1.49-3
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: INFO:db_mysql:connect_with_retry: re-connected successful for 0x7f164e88bce8
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: new statement(0x7f164e88c678) on connection: (0x7f164e88b9c0) 0x7f164e88bce8
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: set values for the statement run
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (0): len=7; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (1): len=63; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (2): len=40; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (3): len=13; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: doing BIND_PARAM in...
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: conn=0x7f164e88b9c0 (tail=139733783592168) MC=0x7f164e88bd90
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: new query=|update location set expires=?,q=?,cseq=?,flags=?,cflags=?,user_agent=?,received=?,path=?,socket=?,methods=?,last_modified=? where username=? AND contact=? AND callid=? AND domain=?|
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:re_init_statement: query is <update location set expires=?,q=?,cseq=?,flags=?,cflags=?,user_agent=?,received=?,path=?,socket=?,methods=?,last_modified=? where username=? AND contact=? AND callid=? AND domain=?>, ptr=(nil)
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: new statement(0x7f164e88ca08) on connection: (0x7f164e88b9c0) 0x7f164e88bce8
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: set values for the statement run
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (0): len=40; type=12; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (1): len=8; type=5; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (2): len=4; type=3; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (3): len=4; type=3; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (4): len=4; type=3; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (5): len=31; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (6): len=37; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (8): len=21; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (9): len=4; type=3; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (10): len=40; type=12; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (11): len=11; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (12): len=66; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (13): len=40; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_val2bind: added val (14): len=19; type=254; is_null=0
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:db_mysql:db_mysql_do_prepared_query: doing BIND_PARAM in...
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:pool_remove: removing connection from the pool
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:tm:tm_shutdown: tm_shutdown : start
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:tm:unlink_timer_lists: emptying DELETE list
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:tm:tm_shutdown: emptying hash table
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:tm:tm_shutdown: releasing timers
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:tm:tm_shutdown: removing semaphores
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:tm:tm_shutdown: destroying callback lists
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:tm:tm_shutdown: tm_shutdown : done
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 77
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 73
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 72
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 69
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 80
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 79
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 82
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 83
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 85
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 84
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 71
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 70
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 75
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 76
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_close: closing TLS connection
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_update_fd: New fd is 78
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: ERROR:core:tls_shutdown: something wrong in SSL:
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:tls_tcpconn_clean: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: DBG:core:destroy_tls: entered
    Jun 12 14:03:58 eu /usr/local/sbin/opensips[2921]: CRITICAL:core:qm_free: freeing already freed pointer, first free: tls/tls_init.c: ser_free(206) - aborting

     
  • Stan K.

    Stan K. - 2012-06-25

    another crash

    #0 0x00007fb38c89f903 in X509_subject_name_cmp ()
    from /usr/lib/libcrypto.so.0.9.8
    #1 0x00007fb38c815dc2 in OBJ_bsearch_ex () from /usr/lib/libcrypto.so.0.9.8
    #2 0x00007fb38c870faf in sk_find () from /usr/lib/libcrypto.so.0.9.8
    #3 0x00007fb38c8a4f21 in X509_OBJECT_idx_by_subject ()
    from /usr/lib/libcrypto.so.0.9.8
    #4 0x00007fb38c8a4f69 in X509_OBJECT_retrieve_by_subject ()
    from /usr/lib/libcrypto.so.0.9.8
    #5 0x00007fb38c8a50a9 in X509_STORE_get_by_subject ()
    from /usr/lib/libcrypto.so.0.9.8
    #6 0x00007fb38c8a51ee in X509_STORE_CTX_get1_issuer ()
    from /usr/lib/libcrypto.so.0.9.8
    #7 0x00007fb38c8a213e in X509_verify_cert () from /usr/lib/libcrypto.so.0.9.8
    #8 0x00007fb38cb60d47 in ssl3_output_cert_chain ()
    from /usr/lib/libssl.so.0.9.8
    #9 0x00007fb38cb53c15 in ssl3_send_server_certificate ()
    from /usr/lib/libssl.so.0.9.8
    #10 0x00007fb38cb575d8 in ssl3_accept () from /usr/lib/libssl.so.0.9.8
    #11 0x000000000050fb68 in tls_accept (c=0x7fb38720f6e8, poll_events=0x0)
    at tls/tls_server.c:235
    #12 0x00000000005126de in tls_fix_read_conn (c=0x7fb38720f6e8)
    at tls/tls_server.c:888
    #13 0x000000000048a16f in tcp_read_req (con=0x7fb38720f6e8,
    bytes_read=0x7fffd0653860) at tcp_read.c:452
    #14 0x000000000048b78c in handle_io (fm=0x7fb38c09e568, idx=-1)
    at tcp_read.c:817
    #15 0x0000000000488781 in io_wait_loop_epoll (h=0x795a80, t=2, repeat=0)
    at io_wait.h:728
    #16 0x000000000048be6d in tcp_receive_loop (unix_sock=31) at tcp_read.c:937
    #17 0x000000000048641a in tcp_init_children (chd_rank=0x78aaa8)
    at tcp_main.c:1819
    #18 0x000000000042e43c in main_loop () at main.c:941
    #19 0x0000000000430a76 in main (argc=1, argv=0x7fffd0653b98) at main.c:1520

    Jun 25 04:28:52 eu /usr/local/sbin/opensips[3788]: DBG:core:check_ip_address: pa
    rams 94.75.247.45, 94.75.247.45, 0
    Jun 25 04:28:52 eu /usr/local/sbin/opensips[3788]: DBG:sl:run_sl_callbacks: call
    back id 0 entered
    Jun 25 04:28:52 eu /usr/local/sbin/opensips[3788]: DBG:core:destroy_avp_list: de
    stroying list (nil)
    Jun 25 04:28:52 eu /usr/local/sbin/opensips[3788]: DBG:core:receive_msg: cleanin
    g up
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: parsed ur
    i:#012 type=1 user=<>(0)#012 passwd=<>(0)#012 host=<31.123.5.99>(11)#012 port=<5
    7843>(5): 57843#012 params=<transport=TLS>(13)#012 headers=<>(0)
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: uri para
    ms:#012 transport=<transport=TLS>, val=<TLS>, proto=3
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: user-p
    aram=<>, val=<>
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: method
    =<>, val=<>
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: ttl=<>
    , val=<>
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: maddr=
    <>, val=<>
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: lr=<>,
    val=<>
    Jun 25 04:28:56 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: r2=<>,
    val=<>
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: parsed ur
    i:#012 type=1 user=<>(0)#012 passwd=<>(0)#012 host=<2.192.64.72>(11)#012 port=<5
    3553>(5): 53553#012 params=<transport=TCP>(13)#012 headers=<>(0)
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: uri para
    ms:#012 transport=<transport=TCP>, val=<TCP>, proto=2
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: user-p
    aram=<>, val=<>
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: method
    =<>, val=<>
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: ttl=<>
    , val=<>
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: maddr=
    <>, val=<>
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: lr=<>,
    val=<>
    Jun 25 04:28:58 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: r2=<>,
    val=<>
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: parsed ur
    i:#012 type=1 user=<>(0)#012 passwd=<>(0)#012 host=<31.123.5.99>(11)#012 port=<5
    7842>(5): 57842#012 params=<transport=TLS>(13)#012 headers=<>(0)
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: uri para
    ms:#012 transport=<transport=TLS>, val=<TLS>, proto=3
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: user-p
    aram=<>, val=<>
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: method
    =<>, val=<>
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: ttl=<>
    , val=<>
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: maddr=
    <>, val=<>
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: lr=<>,
    val=<>
    Jun 25 04:29:00 eu /usr/local/sbin/opensips[3793]: DBG:core:parse_uri: r2=<>,
    val=<>
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: DBG:core:tls_update_fd: New f
    d is 38
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: INFO:core:_tls_read: TLS conn
    ection to 31.123.5.99:57843 closed cleanly
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: DBG:core:tcp_read_req: read=
    0 bytes, parsed=0, state=0, error=1
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: DBG:core:tcp_read_req: last c
    har=0x00, parsed msg=#012
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: DBG:core:tcp_read_req: EOF
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: DBG:core:io_watch_del: io_wat
    ch_del (0x795a80, 38, -1, 0x10) fd_no=2 called
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: DBG:core:release_tcpconn: re
    leasing con 0x7fb38720f6e8, state -1, fd=38, id=233
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3797]: DBG:core:release_tcpconn: ex
    tra_data 0x7fb3872091c0
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:handle_tcp_child: re
    ader response= 7fb38720f6e8, -1 from 3
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tcpconn_destroy: des
    troying connection 0x7fb38720f6e8, flags 0002
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_close: closing T
    LS connection
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_update_fd: New f
    d is 74
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_shutdown: shutdo
    wn successful
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_clean: e
    ntered
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: DBG:core:tls_update_fd: New f
    d is 32
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: INFO:core:_tls_read: TLS conn
    ection to 31.123.5.99:57842 closed cleanly
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: DBG:core:tcp_read_req: read=
    0 bytes, parsed=0, state=0, error=1
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: DBG:core:tcp_read_req: last c
    har=0x00, parsed msg=#012
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: DBG:core:tcp_read_req: EOF
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: DBG:core:io_watch_del: io_wat
    ch_del (0x795a80, 32, -1, 0x10) fd_no=2 called
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: DBG:core:release_tcpconn: re
    leasing con 0x7fb386f72320, state -1, fd=32, id=232
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3794]: DBG:core:release_tcpconn: ex
    tra_data 0x7fb38720c980
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:handle_tcp_child: re
    ader response= 7fb386f72320, -1 from 0
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tcpconn_destroy: des
    troying connection 0x7fb386f72320, flags 0002
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_close: closing T
    LS connection
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_update_fd: New f
    d is 70
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_shutdown: shutdo
    wn successful
    Jun 25 04:29:01 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_clean: e
    ntered
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:probe_max_sock_buff:
    getsockopt: snd is initially 262142
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: INFO:core:probe_max_sock_buff
    : using snd buffer of 255 kb
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: INFO:core:init_sock_keepalive
    : -- TCP keepalive enabled on socket
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:print_ip: tcpconn_ne
    w: new tcp connection to: 31.123.5.99
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tcpconn_new: on port
    57865, type 3
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: en
    tered: Creating a whole new ssl connection
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: lo
    oking up socket based TLS server domain [85.17.87.148:7071]
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_find_server_doma
    in: virtual TLS server domain not found, Using default TLS server domain setting
    s
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: fo
    und socket based TLS server domain [0.0.0.0:0]
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: Se
    tting in ACCEPT mode (server)
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tcpconn_add: hashes:
    278, 234
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:handle_new_connect:
    new connection: 0x7fb386f72320 70 flags: 0002
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:send2child: to tcp c
    hild 0 0(3794), 0x7fb386f72320
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:probe_max_sock_buff:
    getsockopt: snd is initially 262142
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3794]: DBG:core:handle_io: received
    n=8 con=0x7fb386f72320, fd=32
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: INFO:core:probe_max_sock_buff
    : using snd buffer of 255 kb
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: INFO:core:init_sock_keepalive
    : -- TCP keepalive enabled on socket
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3794]: DBG:core:io_watch_add: io_wat
    ch_add(0x795a80, 32, 2, 0x7fb386f72320), fd_no=1
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:print_ip: tcpconn_ne
    w: new tcp connection to: 31.123.5.99
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tcpconn_new: on port
    57866, type 3
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: en
    tered: Creating a whole new ssl connection
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: lo
    oking up socket based TLS server domain [85.17.87.148:7071]
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_find_server_doma
    in: virtual TLS server domain not found, Using default TLS server domain setting
    s
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: fo
    und socket based TLS server domain [0.0.0.0:0]
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tls_tcpconn_init: Se
    tting in ACCEPT mode (server)
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:tcpconn_add: hashes:
    277, 235
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:handle_new_connect:
    new connection: 0x7fb38720f6e8 73 flags: 0002
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3837]: DBG:core:send2child: to tcp c
    hild 1 0(3795), 0x7fb38720f6e8
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3795]: DBG:core:handle_io: received
    n=8 con=0x7fb38720f6e8, fd=34
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3795]: DBG:core:io_watch_add: io_watch_add(0x795a80, 34, 2, 0x7fb38720f6e8), fd_no=1
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3794]: DBG:core:tls_update_fd: New fd is 32
    Jun 25 04:29:02 eu /usr/local/sbin/opensips[3795]: DBG:core:tls_update_fd: New fd is 34
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3837]: DBG:core:handle_tcp_child: dead tcp child 0 (pid 3794, no 0) (shutting down?)
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3779]: DBG:core:handle_sigs: status = 139
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3779]: INFO:core:handle_sigs: child process 3794 exited by a signal 11
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3837]: DBG:core:io_watch_del: io_watch_del (0x795920, 28, -1, 0x0) fd_no=61 called
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3779]: INFO:core:handle_sigs: core was generated
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3779]: INFO:core:handle_sigs: terminating due to SIGCHLD
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3837]: CRITICAL:core:receive_fd: EOF on 30
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3836]: INFO:core:sig_usr: signal 15 received
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3822]: INFO:core:sig_usr: signal 15 received
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3836]: Memory status (pkg):
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3822]: Memory status (pkg):
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3836]: qm_status (0x7fb38c01e010):
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3822]: qm_status (0x7fb38c01e010):
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3836]: heap size= 2097152
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3822]: heap size= 2097152
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3836]: used= 232136, used+overhead=585264, free=1511888
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3822]: used= 232136, used+overhead=585264, free=1511888
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3836]: max used (+overhead)= 585264
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3780]: INFO:core:sig_usr: signal 15 received
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3780]: Memory status (pkg):
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3780]: qm_status (0x7fb38c01e010):
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3780]: heap size= 2097152
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3780]: used= 162832, used+overhead=514904, free=1582248
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3780]: max used (+overhead)= 514904
    Jun 25 04:29:03 eu /usr/local/sbin/opensips[3780]: dumping all alloc'ed. fragments:

    no memory issues reported

     
  • Bogdan-Andrei Iancu

    Hi Stan,

    I see the relevant log :

    Jun 12 14:03:53 eu /usr/local/sbin/opensips[2941]:CRITICAL:core:qm_debug_frag: qm_*: fragm. 0x7f164979bd2f (address0x7f164979bd5f) beginning overwritten(f0f0f0f000)!

    So you still have the corresponding mem dump (at shutdown) and the core file ?

    Thanks and regards,
    Bogdan

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-07-30

    unfortunately not, it's been overwritten by other crashes, where can I send it once I get them again?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-07-30

    I found a backup which has the core file, but the log file is gone

    #0 0x00007f164ec58165 in raise () from /lib/libc.so.6
    #1 0x00007f164ec5af70 in abort () from /lib/libc.so.6
    #2 0x00000000004a849d in qm_free (qm=0x7f1649119000, p=0x7f16494a68a8,
    file=0x56a901 "tls/tls_init.c", func=0x56baea "ser_free", line=206)
    at mem/q_malloc.c:445
    #3 0x000000000050c72a in ser_free (ptr=0x7f16494a68a8) at tls/tls_init.c:206
    #4 0x00007f164f002b2d in CRYPTO_free () from /usr/lib/libcrypto.so.0.9.8
    #5 0x00007f164f087e77 in ASN1_STRING_free () from /usr/lib/libcrypto.so.0.9.8
    #6 0x00007f164f07e317 in ASN1_primitive_free ()
    from /usr/lib/libcrypto.so.0.9.8
    #7 0x00007f164f07e735 in ASN1_item_free () from /usr/lib/libcrypto.so.0.9.8
    #8 0x00007f164f078e36 in ?? () from /usr/lib/libcrypto.so.0.9.8
    #9 0x00007f164f07e52a in ?? () from /usr/lib/libcrypto.so.0.9.8
    #10 0x00007f164f07e735 in ASN1_item_free () from /usr/lib/libcrypto.so.0.9.8
    #11 0x00007f164f3624a7 in ssl_cert_free () from /usr/lib/libssl.so.0.9.8
    #12 0x00007f164f35fcf7 in SSL_CTX_free () from /usr/lib/libssl.so.0.9.8
    #13 0x000000000050e080 in destroy_tls () at tls/tls_init.c:675
    #14 0x000000000042bdcd in cleanup (show_status=1) at main.c:353
    #15 0x000000000042cdaa in handle_sigs () at main.c:549
    #16 0x000000000042e7ba in main_loop () at main.c:987
    #17 0x0000000000430a76 in main (argc=1, argv=0x7fff02e7eeb8) at main.c:1520

     
  • Jim OBrien

    Jim OBrien - 2012-08-10

    Any update or resolution? I appear to be having the same problem with the same release.

    Thanks,

    Jim O

     
  • Bogdan-Andrei Iancu

    It seems the crash is because of libcrypto, where starting with 0.9.8 they changed something in the multi-threading support. See http://www.openssl.org/support/faq.html#PROG1.
    We will work in the next days for a fix - most probably it will not make it for this release, but there will be a next one :).

    In the mean while, if you need a stable run on a production system, simply downgrade libssl to a lower version than 0.9.8.

     
  • Bogdan-Andrei Iancu

    • priority: 5 --> 9
    • status: open --> open-accepted
     
  • Vladut-Stefan Paiu

    Hello,

    Could you please apply the attached patch ?
    It tries to cope with the latest OpenSSL changes, so let me know if it helps you with the crashes.

    Regards,
    Vlad

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-08-28

    thanks for the patch, I'll try it

     
  • Vladut-Stefan Paiu

    Hello,

    Any updates on this ? Did the patch help ?

    Regards,
    Vlad

     
  • Bogdan-Andrei Iancu

    • status: open-accepted --> closed-fixed
     
  • Bogdan-Andrei Iancu

    Fixed by commits #9268 (trunk) and #9393 (1.8)

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks